### php.java.bridge

# Class ThreadPool

- `java.lang.Object`

- `php.java.bridge.ThreadPool`

`public class ThreadPool`
`extends java.lang.Object`

A standard thread pool, accepts runnables and runs them in a thread environment. Example:
`ThreadPool pool = new ThreadPool("MyThreadPool", 20);
pool.start(new YourRunnable());
`

## Constructor Summary

`ThreadPool(java.lang.String name, int poolMaxSize)`
  Creates a new thread pool.

## Method Summary

`void`

`start(java.lang.Runnable r)`
  Push a runnable to the list of runnables.

### Methods inherited from class java.lang.Object

`equals`, `getClass`, `hashCode`, `notify`, `notifyAll`, `toString`, `wait`, `wait`, `wait`

## Constructor Details

### ThreadPool

    public ThreadPool(java.lang.String name,
                      int poolMaxSize)

> Creates a new thread pool.

> Parameters:
>   `name` - - The name of the pool threads.
>   `poolMaxSize` - - The max. number of threads, must be >= 1.

## Method Details

### start

    public void start(java.lang.Runnable r)

> Push a runnable to the list of runnables. The notify will fail if all threads are busy. Since the pool contains at least one thread, it will pull the runnable off the list when it becomes available.

> Parameters:
>   `r` - - The runnable